﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Ejercicio 38</title>
	<style>
		main{
			width:100%;
			background-color:#6600CC;
			font-size:large;
			font-weight:bold;
			display:flex;
			flex-direction:column;
		}
		header{
			/*width:100%;*/
			height:50px;
			background-color:#CCCC00;
			padding:8px;
			margin:5px;
			border:1px solid #6600CC;
			border-radius:15px;
		}
		div{
			display:flex;
			height:400px;
		}
		nav{
			background-color:#99CC00;
			padding:8px;
			display:flex;
			flex:1;
			flex-direction:column;
			margin:5px;
			border:1px solid #6600CC;
			border-radius:15px;
		}
		article{
			background-color:#CC99FF;
			padding:8px;
			display:flex;
			flex:3;
			flex-direction:column;
			margin:5px;
			border:1px solid #6600CC;
			border-radius:15px;
		}
		aside{
			background-color:#99CC00;
			padding:8px;
			display:flex;
			flex:1;
			flex-direction:column;
			margin:5px;
			border:1px solid #6600CC;
			border-radius:15px;
		}
		footer{
			/*width:100%;*/
			height:50px;
			background-color:#CCCC00;
			padding:8px;
			margin:5px;
			border:1px solid #6600CC;
			border-radius:15px;
		}
		
		@media all and (max-width:500px) {
		div{
			flex-direction:column;
			-webkit-flex-direction:column;}
		}

	</style>
</head>

<body>
	<main>
		<header>header</header>
		<div>
			<nav>nav</nav>
			<article>article</article>
			<aside>aside</aside>
		</div>
		<footer>footer</footer>
	</main>
</body>

</html>
